<?php

//read config table
global $wpdb,$social_sentimentConfigTable;
$daysLeft = $goesLeftToday = $key = $domain = $status = $simileLimit = '';
$itemNumberMax = 100;
$config = $wpdb->get_results("SELECT * from `$social_sentimentConfigTable`");
if(count($config) > 0){
	$itemNumberMax = $config[0]->max_item_number;
}
if(isset($_POST['item_number'])){
	//update config table
	$newItemNumber = intval($_POST['item_number']);
	$positiveColour = $_POST['positive_colour'];
	$neutralColour = $_POST['neutral_colour'];
	$negativeColour = $_POST['negative_colour'];
	if(intval($newItemNumber)){	
		if($newItemNumber > $itemNumberMax){$newItemNumber = $itemNumberMax;}
		$query = $wpdb->prepare("UPDATE `$social_sentimentConfigTable` set `item_number`=%d,`positive_colour`=%s,`neutral_colour`=%s,`negative_colour`=%s",$newItemNumber,$positiveColour,$neutralColour,$negativeColour);
		$res = $wpdb->query($query);
		if(false === $res){
			social_sentiment_log("update of default item number failed: ".$wpdb->last_error);
		}
	}
	
}
//
$config = $wpdb->get_results("SELECT * from `$social_sentimentConfigTable`");
if(count($config) > 0){
	$domain = $config[0]->domain;
	$key = $config[0]->api_key;
	$status = $config[0]->status;
	$maxCharts = $config[0]->max_charts;
	$goesLeftToday = $config[0]->goes_left_today;
	$itemNumber = $config[0]->item_number;
	$positiveColour = $config[0]->positive_colour;
	$neutralColour = $config[0]->neutral_colour;
	$negativeColour = $config[0]->negative_colour;
	$coloursString = '"'.$positiveColour.'","'.$neutralColour.'","'.$negativeColour.'"';
}

?>
<script type="text/javascript">
var limit_max = <?php echo $itemNumberMax;?>;
var max_charts = <?php echo $maxCharts;?>;
jQuery(document).ready(function($){
		jQuery.ajax({
		url:"<?php echo admin_url('admin-ajax.php'); ?>",
		type: "POST",
		dataType:"json",
		data:({
			action:"social_sentiment_ajax_initialize"
		}),
		success: function(r){
			if(r['status'] == 'success'){

				console.log('goes left updated');
				jQuery('#goes_left').html(r['goes_left']);
				jQuery('#service_status').html(r['plan_name']);
				jQuery('#days_left').html(r['days_left']);
				max_charts = r['max_charts'];
				if(jQuery('#days_left').html() > low_days || jQuery('#days_left').html() < 1){
					jQuery('#buy_reminder_window').hide();
				}else
				{
					jQuery('#buy_reminder_window').show();
				}
			}else
			{
				console.log('goes update failed, status: '+r['status']+' ('+r['message']+')');
			}
			
		},
		error: function(jqXHR,error, errorThrown,data) {  
			//console.log(jqXHR.responseText + ' '+error+' '+errorThrown+' '+data);
			jQuery('#progress_table').hide();
			console.log(this['url']);
			var text;
			if(jqXHR.responseText){
				text = jqXHR.responseText;
			}else
			{
				if(error){
					text = error;
				}else
				if(errorThrown){
					text = errorThrown;
				}
			}
			console.log(text);
		},
		timeout: 6000
	});
	
	$('#save_button').hide();
	$('#save_cancel').hide();
	
	$('.text_input').each(function() {
		console.log("color");
		var elem = $(this);
		
		// Save current value of element
		elem.data('oldVal', elem.val());
		
		// Look for changes in the value
		elem.bind("propertychange change click keyup input paste", function(event){
			// If value has changed...
			if (elem.data('oldVal') != elem.val()) {
				// Updated stored value
				elem.data('oldVal', elem.val());
				
				// Do action
				if($('#item_number').val().length > 0){
					if($('#item_number').val() > limit_max){$('#item_number').val(limit_max);}
					$('#save_button').show();
					$('#save_cancel').show();
					//$('#credentials_verified_button').hide();
				}
			}
		});
	});
});


</script>
<div id="outer_container">
		<div id="container" style="text-align:left;">			
			<div id="header">				
				<div id="logo">
					<div id="logo_title">social sentiment</div>
					<div id="logo_sub_title">a social media sentiment plugin by scideas software</div>
				</div>
				<div id="status_bar">
					<div class="row">
						<span class="cell align_base">Status:</span><span class="cell black align_base" id="service_status"><?php echo $status;?></span>
						<span class="cell align_base">Searches left today:</span><span class="cell black align_base" id="goes_left"><?php echo $goesLeftToday;?></span>
						<span class="cell align_base">Days left:</span><span class="cell black align_base" id="days_left"><?php echo $daysLeft;?></span>
						<a href="http://services.scideas.net/sentiment/buy_credits.php?host=<?php echo $domain;?>&key=<?php echo $key;?>" target="_blank"><span class="cell align_base"><div class="buy_button">Subscribe</div></span></a>
					</div>
				</div>
		
			</div>
		<form method="post" action="" id="config_form" onsubmit="">
		
			<h2>social sentiment configuration</h2>
			
			<div id="config_form">
				<div class="row">
					<span class="field_label">api key: </span>
					<span class="field_input"><input class="" type="text" value="<?php echo $key; ?>" readonly/></span>
					<span class="field_help">This is used automatically by the system.</span>
				</div>
					<div class="row">
					<span class="field_label">registered domain: </span>
					<span class="field_input"><input class="" type="text" value="<?php echo $domain; ?>" readonly/></span>
					<span class="field_help">Searches will only work for this WP installation</span>
				</div>
				<div class="row">
					<span class="field_label">default number of tweets: </span>
					<span class="field_input"><input class="text_input" type="text" id="item_number" name="item_number" value="<?php echo $itemNumber; ?>" /></span>
					<span class="field_help">Number of recent items to check. Maximum allowed is <?php echo $itemNumberMax;?>.</span>
				</div>
				<div class="row">
					<span class="field_label">Positive colour: </span>
					<span class="field_input"><input name="positive_colour" id="positive_colour" type="text" value="<?php echo $positiveColour;?>" class="wp-color-picker-field text_input" data-default-color="<?php echo $positiveColour;?>" /></span>
					<span class="field_help">Colour for positive segment in chart.</span>
				</div>
				<div class="row">
					<span class="field_label">Neutral colour: </span>
					<span class="field_input"><input name="neutral_colour" type="text" value="<?php echo $neutralColour;?>" class="wp-color-picker-field" data-default-color="<?php echo $neutralColour;?>" /></span>
					<span class="field_help">Colour for neutral segment in chart.</span>
				</div>
				<div class="row">
					<span class="field_label">Negative colour: </span>
					<span class="field_input"><input name="negative_colour" type="text" value="<?php echo $negativeColour;?>" class="wp-color-picker-field" data-default-color="<?php echo $negativeColour;?>" /></span>
					<span class="field_help">Colour for negative segment in chart.</span>
				</div>
			</div>
			
			<div class="large_button" id="save_button" onclick="jQuery('#config_form').submit();">Save</div>
			<div class="large_button" id="save_cancel" onclick="jQuery('#restore_form').submit();">Cancel changes</div>
		
		</form>	
		
				<div id="footer">
				<div class="centre" id="footer_table">
					<div class="row">
						<span class="cell"><font class="italic">social sentiment</font> by <a href="http://new.scideas.net" target="_blank">scideas software</a></span>
						<!--<span class="cell clickable" onclick="openBox('contact');">contact</span>-->
					</div>
				</div>
			</div>
		
		
	</div>
	
	<div id="buy_reminder_window">
		<div id="buy_reminder_text">You only have a few days left of your plan. Why not subscribe now to avoid losing functionality ?</div>
		<div id="buy_reminder_button_box"><a href="http://services.scideas.net/sentiment/buy_credits.php?host=<?php echo $domain;?>&key=<?php echo $key;?>" target="_blank"><div class="buy_button_large">Subscribe</div></a></div>				
	</div>
	
	
</div>
<form method="post" action="" id="restore_form">
	<input type="hidden" id="restore" name="restore"/>
</form